com.google.cloud.dataflow.sdk.coders

## Interface DelegateCoder.CodingFunction<InputT,OutputT>

All Superinterfaces:
  Serializable

Enclosing class:
  DelegateCoder<T,IntermediateT>

    public static interface DelegateCoder.CodingFunction<InputT,OutputT>
    extends Serializable

A `CodingFunction<InputT, OutputT>` is a serializable function from `InputT` to `OutputT` that may throw any `Exception`.

### Method Summary

All Methods Instance Methods Abstract Methods
`OutputT` `apply(InputT input)`

### Method Detail

#### apply

    OutputT apply(InputT input)
           throws Exception

Throws:
  `Exception`